body.user-logged-in,
body.page-view-collections-item,
body.page-view-repository-items-search-page {


    div#sidebar_first{
        width:25%;
    }

    main#content{
        width: 75%;
    }

    div.view-filters div.exposed-fullsearch-submit-btn{
        display: flex;
        margin-top: 3rem;
    }

    div.view-filters div.exposed-fullsearch-submit-btn .form-item-search-api-fulltext{
        margin-right: 3rem;
    }

    div.view-filters div.exposed-fullsearch-submit-btn .form-item-search-api-fulltext input{
        width: 350px;
        border-radius: 500px;
    }

    div.view-filters div.exposed-fullsearch-submit-btn div.form-actions input{
        background: #FFC522;
        border-color: #FFC522;
        border-radius: 30px;
        color: #030E31;
        font-weight: 600;
        padding-inline: 30px;
        padding-block: 8px;
    }

    div.view-filters div.exposed-fullsearch-submit-btn div.form-actions input:hover{
        background: #e6ae15;
        color:#fff;
    }

    div.view-filters details div.details-wrapper div.form-type-select{
        display: flex;
        flex-direction: row;
        width: -webkit-fill-available;
        align-items: center;
    }

    div.view-filters details div.details-wrapper{
        label,
        select{
            color:#1D398D;
        }
    }

    div.view-filters details div.details-wrapper label{
        width: 150px;
    }

    div.view-filters details div.details-wrapper select{
        width: fit-content;
        border-radius: 500px;
    }

    .content h1,
    .view-content  a,
    .view-content p,
    .view-content span{
        color: #1D398D;
    }

    .view-content .views-row{
        display: flex;
        align-items: flex-start;
        margin-block: 4rem;
    }

    .views-row div.views-field-field-representative-image{
            margin-right: 2rem;
    }

    .views-row div.views-field-field-accessibility{
        margin-right: 2rem;
        margin-top: 1rem;
        text-align: start;
        background: #EEF0F5;
        border-radius: 32px;
        padding-block: 0.5rem;
        padding-inline: 1rem;
    }

    .views-row div.views-field-field-accessibility:has(span a){
        background: #FFC522;
    }
    .views-row div.views-field-field-accessibility:has(span a):hover{
        background: #e6ae15;
    }
    
    .views-row div.views-field-field-accessibility:hover span a{
        color:#fff;
    }

    .views-row div.views-field-field-accessibility:hover span:has(a):after{
        content: "";
        background: url("/themes/custom/eody_islandora/images/login-icon-white.svg") ;
        width: 16px;
        height: 16px;
    }

    .views-row div.views-field-field-accessibility span a{
        display: flex !important;
        align-items: center;
        justify-content: space-between;
        font-size: 13px;
        font-weight: bold;
        text-decoration: none;
    }

    .views-row div.views-field-field-accessibility span{
        display: flex !important;
        align-items: center;
        justify-content: space-between;
        font-size: 13px;
        font-weight: bold;
    }

    .views-row div.views-field-field-accessibility span:has(div.private-asset):after{
        content: "";
        background: url("/themes/custom/eody_islandora/images/private-access-asset.png") ;
        width: 16px;
        height: 16px;
    }

    .views-row div.views-field-field-accessibility span:has(a):after{
        content: "";
        background: url("/themes/custom/eody_islandora/images/login-icon.svg") ;
        width: 16px;
        height: 16px;
    }

    .views-row div.views-field-field-accessibility span::after{
        content: "";
        background: url("/themes/custom/eody_islandora/images/public-access-asset.png") ;
        width: 16px;
        height: 16px;
    }

    .views-row div.views-field-field-representative-image img{
        width: 170px;
        height: 200px;
        border-radius: 35px;
    }

    div.views-field {
        height: -webkit-fill-available;
    }

    div.views-field span.field-content{
        width: -webkit-fill-available;
        display: contents;
    }

    div.views-field span.field-content > div {
        height: -webkit-fill-available;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
    }

    .views-row div.views-field-title span,
    .views-row div.views-field-title a{
        font-weight: bold;
        font-size: 24px;
    }

    hr.views-row-separator{
        color: #9bb3f8
    }

    summary{
        color: #1D398D;
        font-weight: 600;
        text-decoration: underline;
    }

    summary::-webkit-details-marker {
        display: none;
    }

    summary::marker {
        content: "";
    }

    /* ------------------------------------------------------------------------------------ */
    /* --------------------------------------FACETS---------------------------------------- */
    
    div.sidebar  div.block-facets {
        border: none;
        background: #EEF0F5;
        border-radius: 30px;
        padding: 1rem;
        color: #1D398D;
        /* margin-top: 3.5rem; */
    }

    div.sidebar  div.block-facets:first-child{
        margin-top: 3rem;
    }

    div.sidebar  div.block-facets{
        margin-top: 0.5rem;
        margin-bottom: 0;
    }

    div.sidebar  div.block-facets div.content{
        margin-top:1rem
    }

    div.sidebar div.block-facets div.facets-widget-links ul li a {
        display: flex;
        justify-content: space-between;
        width: calc(100% - 50px);
        color: #1D398D;
        font-size: 16px;
        text-decoration: none;
    }

    div.sidebar div.block-facets div.facets-widget-links ul li{
        width: 100%;
        display: flex;
        justify-content: space-around;
        margin-bottom: 1rem;
    }

    div.sidebar div.block-facets div.facets-widget-links ul li::before{
        content: "";
        background-image: url("/themes/custom/eody_islandora/images/icons8-folder-24.png");
        width: 24px;
    }

    div.sidebar div.block-facets div.facets-widget-links ul li a.is-active span.facet-item__status{
        display: none;
    }

    div.sidebar div.block-facets div.facets-widget-links ul li a span.facet-item__value{
        font-weight: 600;
        text-decoration: underline;
    }

    div.sidebar div.block-facets div.facets-widget-links ul li a span.facet-item__count{
        text-decoration: none;
    }

    div.sidebar  div.block-facets div.content ul{
        list-style: none;
        padding: 0;
    }

    div.sidebar  div.block-facets div.content ul li input[type="checkbox"].facets-checkbox{
        margin-right: 1rem;
        accent-color: #1D398D;
    } 

    div.sidebar  div.block-facets div.content ul li label{
        font-size: 15px;
    }



    /* Make the title look clickable */
    div.sidebar  div.block-facets > h2 {
        cursor: pointer;
        user-select: none;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border:none;
        margin: 0;
        padding: 0;
    }

    /* Add an arrow indicator */
    div.sidebar  div.block-facets > h2::after {
        content: "";
        background: url("/themes/custom/eody_islandora/images/icons8-arrow-down-18.png") ;
        font-size: 0.9em;
        transition: transform 150ms ease;
        rotate: 180deg;
        width: 18px;
        height: 18px;
    }

    /* Default: expanded (arrow down) */
    div.sidebar  div.block-facets .content {
        overflow: hidden;
    }

    /* Collapsed state */
    div.sidebar  div.block-facets.is-collapsed .content {
        display: none; /* simplest + reliable */
    }

    /* Arrow rotates when collapsed */
    div.sidebar  div.block-facets.is-collapsed > h2::after {
        transform: rotate(-180deg);
    }
    /* ------------------------------------------------------------------------------------ */
}